#pragma once

#include "button.h"

class MenuDrop;

class CascadeMenuButton : public Button
{
public:
    explicit CascadeMenuButton(const std::string& text);
    virtual void input(const sf::Event& event) override final;
    virtual void setRect(const sf::FloatRect& rect) override final;

    void setSubmenu(const std::shared_ptr<MenuDrop>& submenu);
    const std::shared_ptr<MenuDrop> submenu() const;

private:
    std::shared_ptr<MenuDrop> _submenu;

    void resetRect(const std::shared_ptr<MenuDrop>& submenu);
};

